Spot
Coin Trading Records
POST
/
platformapi
/
chainup
/
open
/
trade
/
getAll
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/trade/getAll
{
"code": "Lorem non culpa minim",
"msg": "est laboris",
"data": {
"count": 1,
"resultList": [
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
}
]
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
symbol
string
requiredSymbol
Example: btcusdt
userId
string
user id
Example: 2000001
startDate
string
requiredStart time, in seconds with the format "yyyy-MM-dd HH:mm:ss".
Example: 2099-01-01 00:00:00
endDate
string
requiredEnd time, in seconds with the format "yyyy-MM-dd HH:mm:ss".
Example: 2099-01-01 00:00:00
self
string
Add self parameter as 1 to exclude self-trade data. Default 0.
Example: 1
pageSize
string
Default 1000 entries.
Example: 20
page
string
The page number, defaulting to 1 for the first page.
Example: 1
sort
string
1 indicates descending order.
Example: 1
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/trade/getAll
{
"code": "Lorem non culpa minim",
"msg": "est laboris",
"data": {
"count": 1,
"resultList": [
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
}
]
}
}